//MyComponent.js
const initialState = {count: 0};
const [state, dispatch] = useReducer(reducer, initialState);
//actionCreators.js
const increment = () => ({type:"INIT"})
//reducer.js
function reducer(state = initialState, action) {
  switch (action.type) {
    case 'increment':
      return {count: state.count + 1};
    case 'decrement':
      return {count: state.count - 1};
    default:
      throw new Error();
  }
}